<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Plik źródłowy drone.cpp</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',false,false,'search.php','Szukaj');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('dd/dd8/drone_8cpp_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">drone.cpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../dd/dd8/drone_8cpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="../../da/dcb/drone_8hh.html">drone.hh</a>&quot;</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno"><a class="line" href="../../d5/d02/class_drone.html#a72b51743436557dbb7c3d4dae30f09c4">    3</a></span>&#160;<a class="code" href="../../d5/db2/class_vector.html">Vector3D</a> <a class="code" href="../../d5/d02/class_drone.html#a72b51743436557dbb7c3d4dae30f09c4">Drone::moveForward</a>(<span class="keyword">const</span> <span class="keywordtype">double</span> &amp;angleChange, <span class="keyword">const</span> <span class="keywordtype">double</span> &amp;distance, <span class="keyword">const</span> <span class="keywordtype">int</span> &amp;frames) {</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;    <a class="code" href="../../d7/da7/class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">Cuboid::translate</a>(<a class="code" href="../../d5/d02/class_drone.html#af8bc6a465e5d55fdbd0985a03431a40c">calculateTranslation</a>(angleChange, distance) / frames);</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;    <a class="code" href="../../d2/d73/class_cuboid.html#a99d72f5f198a082b067309b2e5847595">Cuboid::draw</a>(<a class="code" href="../../d5/d02/class_drone.html#a56f1e93b78d78a6d64929288eee02610">kDroneFile</a>);</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160; </div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;    <span class="keywordflow">return</span> Cuboid::Shape::translation;</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;}</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00010"></a><span class="lineno"><a class="line" href="../../d5/d02/class_drone.html#ad657730896d4edb8e9b6ecb5dec69413">   10</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="../../d5/d02/class_drone.html#ad657730896d4edb8e9b6ecb5dec69413">Drone::rotate</a>(<span class="keywordtype">double</span> rotateAngle, <span class="keyword">const</span> <span class="keywordtype">int</span> &amp;frames) {</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;    rotateAngle /= frames;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;    <a class="code" href="../../d7/da7/class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">Cuboid::writeAngle</a>(rotateAngle);</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    <a class="code" href="../../d2/d73/class_cuboid.html#a99d72f5f198a082b067309b2e5847595">Cuboid::draw</a>(<a class="code" href="../../d5/d02/class_drone.html#a56f1e93b78d78a6d64929288eee02610">kDroneFile</a>);</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;}</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160; </div>
<div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="../../d5/d02/class_drone.html#af8bc6a465e5d55fdbd0985a03431a40c">   16</a></span>&#160;<a class="code" href="../../d5/db2/class_vector.html">Vector3D</a> <a class="code" href="../../d5/d02/class_drone.html#af8bc6a465e5d55fdbd0985a03431a40c">Drone::calculateTranslation</a>(<span class="keywordtype">double</span> angleChange, <span class="keywordtype">double</span> distance)<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    <a class="code" href="../../d5/db2/class_vector.html">Vector3D</a> result;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; </div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    result[0] = (cos(<a class="code" href="../../d7/da7/class_shape.html#a392923e3a75a0710056ca4770af77ddc">makeRadians</a>(angleChange)) * distance) * cos(<a class="code" href="../../d7/da7/class_shape.html#a392923e3a75a0710056ca4770af77ddc">makeRadians</a>(<a class="code" href="../../d7/da7/class_shape.html#a1642eab9d4f9d319a3d9a38d4a69cd90">angle</a>));</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    result[1] = (cos(<a class="code" href="../../d7/da7/class_shape.html#a392923e3a75a0710056ca4770af77ddc">makeRadians</a>(angleChange)) * distance) * sin(<a class="code" href="../../d7/da7/class_shape.html#a392923e3a75a0710056ca4770af77ddc">makeRadians</a>(<a class="code" href="../../d7/da7/class_shape.html#a1642eab9d4f9d319a3d9a38d4a69cd90">angle</a>));</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    result[2] = sin(<a class="code" href="../../d7/da7/class_shape.html#a392923e3a75a0710056ca4770af77ddc">makeRadians</a>(angleChange)) * distance;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="keywordflow">return</span> result;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;}</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="../../d5/d02/class_drone.html#ab692baa4be5c43b72990ce1b01bdc805">   26</a></span>&#160;<a class="code" href="../../d5/d02/class_drone.html#ab692baa4be5c43b72990ce1b01bdc805">Drone::Drone</a>() {</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;}</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="adrone_8hh_html"><div class="ttname"><a href="../../da/dcb/drone_8hh.html">drone.hh</a></div></div>
<div class="ttc" id="aclass_drone_html_a72b51743436557dbb7c3d4dae30f09c4"><div class="ttname"><a href="../../d5/d02/class_drone.html#a72b51743436557dbb7c3d4dae30f09c4">Drone::moveForward</a></div><div class="ttdeci">Vector3D moveForward(const double &amp;angleChange, const double &amp;distance, const int &amp;frames)</div><div class="ttdoc">Zadaje ruch na wprost Korzystając z funkcji, która wylicza wektor przesunięcia wykonuje ruch drona na...</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/drone_8cpp_source.html#l00003">drone.cpp:3</a></div></div>
<div class="ttc" id="aclass_shape_html_a4ab9606f25f5121c5d09e95de802f4c0"><div class="ttname"><a href="../../d7/da7/class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">Shape::writeAngle</a></div><div class="ttdeci">void writeAngle(double change)</div><div class="ttdoc">Zapisuje kąt obrotu Jako parametr przyjmuje wartość kąta, a następnie powiększa kąt o jaki jest obróc...</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dad/shape_8hh_source.html#l00067">shape.hh:67</a></div></div>
<div class="ttc" id="aclass_shape_html_a1642eab9d4f9d319a3d9a38d4a69cd90"><div class="ttname"><a href="../../d7/da7/class_shape.html#a1642eab9d4f9d319a3d9a38d4a69cd90">Shape::angle</a></div><div class="ttdeci">double angle</div><div class="ttdoc">Kąt obrócenia figury geometrycznej.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dad/shape_8hh_source.html#l00029">shape.hh:29</a></div></div>
<div class="ttc" id="aclass_drone_html_af8bc6a465e5d55fdbd0985a03431a40c"><div class="ttname"><a href="../../d5/d02/class_drone.html#af8bc6a465e5d55fdbd0985a03431a40c">Drone::calculateTranslation</a></div><div class="ttdeci">Vector3D calculateTranslation(double angleChange, double distance) const</div><div class="ttdoc">Wylicza wektor przesunięcia.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/drone_8cpp_source.html#l00016">drone.cpp:16</a></div></div>
<div class="ttc" id="aclass_shape_html_a499ab02e6fd00d35c87e9409cab672dc"><div class="ttname"><a href="../../d7/da7/class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">Shape::translate</a></div><div class="ttdeci">void translate(const Vector3D &amp;change)</div><div class="ttdoc">Powiększa wektor przesunięcia.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dad/shape_8hh_source.html#l00057">shape.hh:57</a></div></div>
<div class="ttc" id="aclass_drone_html_ad657730896d4edb8e9b6ecb5dec69413"><div class="ttname"><a href="../../d5/d02/class_drone.html#ad657730896d4edb8e9b6ecb5dec69413">Drone::rotate</a></div><div class="ttdeci">void rotate(double angleChange, const int &amp;frames)</div><div class="ttdoc">Obraca drona o zadany kąt.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/drone_8cpp_source.html#l00010">drone.cpp:10</a></div></div>
<div class="ttc" id="aclass_cuboid_html_a99d72f5f198a082b067309b2e5847595"><div class="ttname"><a href="../../d2/d73/class_cuboid.html#a99d72f5f198a082b067309b2e5847595">Cuboid::draw</a></div><div class="ttdeci">void draw(const std::string &amp;filename) const</div><div class="ttdoc">Zapisuje współrzędne prostopadłościanu do pliku Otwiera plik o zadanej nazwie, a następnie zapisuje d...</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d4f/cuboid_8cpp_source.html#l00023">cuboid.cpp:23</a></div></div>
<div class="ttc" id="aclass_drone_html_a56f1e93b78d78a6d64929288eee02610"><div class="ttname"><a href="../../d5/d02/class_drone.html#a56f1e93b78d78a6d64929288eee02610">Drone::kDroneFile</a></div><div class="ttdeci">const std::string kDroneFile</div><div class="ttdoc">Nazawa pliku, w którym jest zapisany model drona.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/drone_8hh_source.html#l00023">drone.hh:23</a></div></div>
<div class="ttc" id="aclass_vector_html"><div class="ttname"><a href="../../d5/db2/class_vector.html">Vector&lt; double, 3 &gt;</a></div></div>
<div class="ttc" id="aclass_shape_html_a392923e3a75a0710056ca4770af77ddc"><div class="ttname"><a href="../../d7/da7/class_shape.html#a392923e3a75a0710056ca4770af77ddc">Shape::makeRadians</a></div><div class="ttdeci">double makeRadians(double angle) const</div><div class="ttdoc">Przelicza stopnie na radiany.</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d87/shape_8cpp_source.html#l00007">shape.cpp:7</a></div></div>
<div class="ttc" id="aclass_drone_html_ab692baa4be5c43b72990ce1b01bdc805"><div class="ttname"><a href="../../d5/d02/class_drone.html#ab692baa4be5c43b72990ce1b01bdc805">Drone::Drone</a></div><div class="ttdeci">Drone()</div><div class="ttdoc">Konstruktor dla klasy drone.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/drone_8cpp_source.html#l00026">drone.cpp:26</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="../../dir_f77a644fded742ea05ed17fa0fdf6fe1.html">src</a></li><li class="navelem"><a class="el" href="../../dd/dd8/drone_8cpp.html">drone.cpp</a></li>
    <li class="footer">Wygenerowano przez
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
